| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bfft.cpp File Reference

General FFT for n-dimensional data. More...

`#include "rwimg.h"`
`#include "qsort_functions.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | img_fft_times (int ndim, int minsize, int maxsize, int opt)
| Tests the execution times for a series of image sizes. More...
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

General FFT for n-dimensional data.

Author
  Bernard Heymann

Date
  Created: 19980805
  Modified: 20190828 Implementing the FFTW library

Definition in file bfft.cpp.

## Function Documentation

## ◆ img_fft_times()

int img_fft_times | ( | int | ndim,
|  | int | minsize,
|  | int | maxsize,
|  | int | opt
| ) |  |

Tests the execution times for a series of image sizes.

Parameters

  ndim | number of dimensions (1,2,3).
  minsize | minimum image size.
  maxsize | maximum image size.
  opt | optimization (with FFTW_MEASURE).

Returns
  int 0.

      FFTW library (www.fftw.org).
      Blank complex floating point images are created and transformed.
      Only the call to the complex FFT function is timed.

Definition at line 289 of file bfft.cpp.

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 60 of file bfft.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Definition at line 22 of file bfft.cpp.

## ◆ verbose

int verbose